unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FileTransformer, StdCtrls, ExtCtrls, ComCtrls, ToolWin, TetraTypes,
  CustomTransformer;

type
  TForm3 = class(TForm)
    ToolBar1: TToolBar;
    StatusBar1: TStatusBar;
    lb_SourceFiles: TListBox;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    OpenDialog1: TOpenDialog;
    TextFileN21Transformer1: TTextFileN21Transformer;
    Splitter1: TSplitter;
    Panel1: TPanel;
    Edit1: TEdit;
    Button5: TButton;
    procedure TextFileN21Transformer1ParserMessage(Sender: TObject; xasWhat: string;
      xlwLastPosition, xlwPosition: Cardinal; const xasProduction,
      xasSymbol: string; xeMessageType: eParserMessage; xlw: Cardinal);
    procedure Button5Click(Sender: TObject);
    procedure TextFileN21Transformer1FileSuccess(Sender: TObject; const xpSourceFile,
      xpTargetFile, xpMessage: string);
    procedure TextFileN21Transformer1FileError(Sender: TObject; const xpSourceFile,
      xpTargetFile, xpMessage: string);
    procedure TextFileN21Transformer1Exception(Sender: TObject; xasWhat: string);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.Button1Click(Sender: TObject);
begin
  OpenDialog1.InitialDir := ExtractFilePath(Application.ExeName);
  if OpenDialog1.Execute() then
  begin
    lb_SourceFiles.Items.Add(OpenDialog1.FileName);
  end

end;

procedure TForm3.Button2Click(Sender: TObject);
begin
  lb_SourceFiles.ItemIndex := 0;
  TextFileN21Transformer1.SourceFiles.Assign(lb_SourceFiles.Items);
  TextFileN21Transformer1.TargetFile := Edit1.Text;
  if  TextFileN21Transformer1.Execute() then
    Application.MessageBox('files successfully transformed', 'Error')
   else
    Application.MessageBox('could not transform at least one file', 'Error');

end;

procedure TForm3.Button3Click(Sender: TObject);
begin
  lb_SourceFiles.Clear();
  Edit1.Clear();
end;

procedure TForm3.Button4Click(Sender: TObject);
begin
  Close();
end;

procedure TForm3.Button5Click(Sender: TObject);
begin
  OpenDialog1.DefaultExt := 'HTML';
  OpenDialog1.FileName := '*.html';
  if OpenDialog1.Execute() then
  begin
    Edit1.Text := OpenDialog1.FileName;
  end;
end;

procedure TForm3.FormResize(Sender: TObject);
begin
  lb_SourceFiles.Width := Form3.Width div 2;
end;

procedure TForm3.TextFileN21Transformer1Exception(Sender: TObject; xasWhat: string);
begin
  Application.MessageBox(PChar(xasWhat), 'Exception');
  TextFileN21Transformer1.Stop();

end;

procedure TForm3.TextFileN21Transformer1FileError(Sender: TObject; const xpSourceFile,
  xpTargetFile, xpMessage: string);
var
  sMessage : AnsiString;
begin
  sMessage := 'could not transform file: ';
  sMessage := sMessage + xpSourceFile;
  sMessage := sMessage + ' to ';
  sMessage := sMessage + xpTargetFile;
  sMessage := sMessage +' by the Text2Html project';
  Application.MessageBox(PChar(sMessage), 'FileError');
  TextFileN21Transformer1.Stop();

end;

procedure TForm3.TextFileN21Transformer1FileSuccess(Sender: TObject; const xpSourceFile,
  xpTargetFile, xpMessage: string);
begin
  lb_SourceFiles.ItemIndex := lb_SourceFiles.ItemIndex + 1;
end;
procedure TForm3.TextFileN21Transformer1ParserMessage(Sender: TObject; xasWhat: string;
  xlwLastPosition, xlwPosition: Cardinal; const xasProduction,
  xasSymbol: string; xeMessageType: eParserMessage; xlw: Cardinal);
begin
  Application.MessageBox(PChar(xasWhat), 'ParserMessage');
  TextFileN21Transformer1.Stop();
end;



end.
