unit TextTransformerReg;

// This unit is an addendum to TextTransformer.pas and contains code of design time editors as well as
// for theirs and the tree's registration.

interface

{$R TextTransformer.dcr}

uses
  DesignIntf,
  DesignEditors;

Type
  TTetraProjectProperty = class(TStringProperty)
  public
    function GetAttributes: TPropertyAttributes; override;
    procedure Edit; override;
  end;

  procedure Register;

//----------------------------------------------------------------------------------------------------------------------

implementation

uses
  Dialogs, Forms, Classes,
  TetraTypes, TetraTree, FileTransformer, StringTransformer, MemoTransformer;

  function TTetraProjectProperty.GetAttributes: TPropertyAttributes;
  begin
    Result := [paDialog]
  end {GetAttributes};

  procedure TTetraProjectProperty.Edit;
  begin
    with TOpenDialog.Create(Application) do
    try
      Title := GetName; { name of property as OpenDialog caption }
      Filename := GetValue;
      Filter := 'TextTransformer project (*.ttp)|*.ttp';
      HelpContext := 0;
      Options := Options + [ofShowHelp, ofPathMustExist, ofFileMustExist];
      if Execute then SetValue(Filename);
    finally
      Free
    end
  end {Edit};


//---------------------------------------------------------------------------
procedure Register;
begin

  RegisterPropertyEditor(TypeInfo(TTetraProjectName),nil, '', TTetraProjectProperty);

  RegisterComponents('TextTransformer', [TStringTransformer,
                                         TMemoTextTransformer,
                                         TTextTreeViewTransformer,
                                         TFileTransformer,
                                         TTextFileN21Transformer,
                                         TTextFileN2NTransformer]);
end;


//----------------------------------------------------------------------------------------------------------------------

end.
